"use strict";
/*
 * Copyright 2019 Dynatrace LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.LogLevel = void 0;
/**
 * The log level to describe which messages should be logged in the ConsoleLoggerFactory.
 *
 * @see {@link ConsoleLoggerFactory}
 */
var LogLevel;
(function (LogLevel) {
    LogLevel[LogLevel["Debug"] = 10] = "Debug";
    LogLevel[LogLevel["Info"] = 20] = "Info";
    LogLevel[LogLevel["Warn"] = 30] = "Warn";
    LogLevel[LogLevel["Error"] = 40] = "Error";
})(LogLevel = exports.LogLevel || (exports.LogLevel = {}));
//# sourceMappingURL=LogLevel.js.map