"use strict";
/*
 * Copyright 2019 Dynatrace LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.StatusRequestImpl = void 0;
const PlatformConstants_1 = require("../PlatformConstants");
class StatusRequestImpl {
    constructor(agentTechnology, applicationId, version, platformType, serverId, timestamp, deviceId, sessionId) {
        this.agentTechnologyType = agentTechnology;
        this.applicationId = applicationId;
        this.openKitVersion = version;
        this.platformType = platformType;
        this.serverId = serverId;
        this.timestamp = timestamp;
        if (sessionId !== undefined && deviceId !== undefined) {
            this.sessionIdentifier = `${deviceId}_${sessionId}`;
        }
    }
    static create(appId, serverId, timestamp, deviceId, sessionId) {
        return new StatusRequestImpl(PlatformConstants_1.agentTechnologyType, appId, PlatformConstants_1.openKitVersion, PlatformConstants_1.platformTypeOpenKit, serverId, timestamp, deviceId, sessionId);
    }
}
exports.StatusRequestImpl = StatusRequestImpl;
//# sourceMappingURL=StatusRequestImpl.js.map