"use strict";
/*
 * Copyright 2019 Dynatrace LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.buildHttpUrl = void 0;
const UrlBuilder_1 = require("./UrlBuilder");
const buildHttpUrl = (url, statusRequest, newSession) => new UrlBuilder_1.UrlBuilder(url)
    .add("type" /* QueryKey.Type */, 'm')
    .add("srvid" /* QueryKey.ServerId */, statusRequest.serverId)
    .add("app" /* QueryKey.Application */, statusRequest.applicationId)
    .add("va" /* QueryKey.Version */, statusRequest.openKitVersion)
    .add("pt" /* QueryKey.PlatformType */, statusRequest.platformType)
    .add("tt" /* QueryKey.AgentTechnologyType */, statusRequest.agentTechnologyType)
    .add("cts" /* QueryKey.ConfigurationTimestamp */, statusRequest.timestamp)
    .add("resp" /* QueryKey.ResponseFormat */, 'json')
    .addIfDefined("si" /* QueryKey.SessionIdentifier */, statusRequest.sessionIdentifier)
    .addIfDefined("ns" /* QueryKey.NewSession */, newSession ? 1 : undefined)
    .build();
exports.buildHttpUrl = buildHttpUrl;
//# sourceMappingURL=HttpUrlBuilder.js.map