"use strict";
/*
 * Copyright 2019 Dynatrace LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.defaultNullLoggerFactory = exports.NullLoggerFactory = void 0;
const NullLogger_1 = require("./NullLogger");
/**
 * LoggerFactory implementation to create loggers which discard all messages.
 *
 * @see {@link defaultNullLoggerFactory}
 */
class NullLoggerFactory {
    createLogger(name) {
        return NullLogger_1.defaultNullLogger;
    }
}
exports.NullLoggerFactory = NullLoggerFactory;
exports.defaultNullLoggerFactory = new NullLoggerFactory();
//# sourceMappingURL=NullLoggerFactory.js.map