"use strict";
/*
 * Copyright 2019 Dynatrace LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.SingleIdProvider = void 0;
/**
 * Provides an IdProvider which a fixed identification number.
 */
class SingleIdProvider {
    /**
     * Create a new singleIdProvider with a fixed identification number.
     *
     * @param id The fixed identification number.
     */
    constructor(id) {
        this.id = id;
    }
    /**
     * Returns a fixed id.
     */
    next() {
        return this.id;
    }
}
exports.SingleIdProvider = SingleIdProvider;
//# sourceMappingURL=SingleIdProvider.js.map