/**
 * Represents a status request which should be send to the server.
 */
export interface StatusRequest {
    /**
     * The server id where the request should be send to.
     */
    readonly serverId: number;
    /**
     * The id of the current custom application
     */
    readonly applicationId: string;
    /**
     * The current OpenKit version.
     */
    readonly openKitVersion: string;
    /**
     * The platformType.
     */
    readonly platformType: number;
    /**
     * The agent technology type.
     */
    readonly agentTechnologyType: string;
    /**
     * Timestamp (ms since 1970) of current configuration used by the agent.
     * 0 ms when no configuration was yet received.
     */
    readonly timestamp: number;
    /**
     * Contains visitor and session id. It is required to determine a new server id, when value sent with srvid is down.
     */
    readonly sessionIdentifier?: string;
}
//# sourceMappingURL=StatusRequest.d.ts.map