import { Logger } from './Logger';
/**
 * Interface for providing Loggers
 *
 * @see {@link Logger}
 * @see {@link ConsoleLoggerFactory}
 * @see {@link NullLoggerFactory}
 */
export interface LoggerFactory {
    /**
     * Creates a new logger
     *
     * @param name The name of the logger
     */
    createLogger(name: string): Logger;
}
//# sourceMappingURL=LoggerFactory.d.ts.map