import { ConnectionType } from '../../api/ConnectionType';
/**
 * Specifies supplementary basic data which will be added to the payload
 */
export interface SupplementaryBasicData {
    readonly carrier?: string;
    readonly networkTechnology?: string;
    readonly connectionType?: ConnectionType;
    /**
     * Sets the network carrier
     * Use undefined to clear the value again and it will not be sent.
     *
     * @param carrier network carrier
     */
    setCarrier(carrier?: string): void;
    /**
     * Sets the network technology
     * Use undefined to clear the value again and it will not be sent.
     *
     * @param networkTechnology network technology
     */
    setNetworkTechnology(networkTechnology?: string): void;
    /**
     * Sets the connection type
     * Use undefined to clear the value again and it will not be sent.
     *
     * @param connectionType connection type
     */
    setConnectionType(connectionType?: ConnectionType): void;
}
//# sourceMappingURL=SupplementaryBasicData.d.ts.map