import { CommunicationChannel, StatusRequest, StatusResponse } from '../../../../api';
import { StateContext } from './StateContext';
export declare class SendingState implements CommunicationChannel {
    private readonly context;
    constructor(context: StateContext);
    sendNewSessionRequest(url: string, request: StatusRequest): Promise<StatusResponse>;
    sendPayloadData(url: string, request: StatusRequest, query: string): Promise<StatusResponse>;
    sendStatusRequest(url: string, request: StatusRequest): Promise<StatusResponse>;
    /**
     * Retry the current request multiple times, and wait between retries.
     * If a status response with code 429 comes, change into the http429 - state.
     *
     * @param callback
     */
    private retry;
    private handleHttpToManyRequests;
    private tryExecute;
}
//# sourceMappingURL=SendingState.d.ts.map