import { CommunicationChannel, CrashReportingLevel, DataCollectionLevel, LoggerFactory, Orientation, RandomNumberProvider } from '../../api';
import { SendingStrategy } from '../beacon/strategies/SendingStrategy';
export interface PrivacyConfiguration {
    readonly dataCollectionLevel: DataCollectionLevel;
    readonly crashReportingLevel: CrashReportingLevel;
}
export interface DeviceMetadata {
    readonly manufacturer: string;
    readonly modelId: string;
    readonly userLanguage: string;
    readonly screenWidth: number;
    readonly screenHeight: number;
    readonly orientation: Orientation;
}
export interface ApplicationMetadata {
    readonly applicationVersion: string;
    readonly operatingSystem: string;
}
export interface OpenKitConfiguration {
    readonly beaconURL: string;
    readonly applicationId: string;
    readonly deviceId: string;
    readonly sendingStrategies: SendingStrategy[];
    readonly communicationChannel: CommunicationChannel;
    readonly loggerFactory: LoggerFactory;
    readonly random: RandomNumberProvider;
}
export interface Configuration {
    readonly openKit: OpenKitConfiguration;
    readonly privacy: PrivacyConfiguration;
    readonly device: Partial<DeviceMetadata>;
    readonly meta: Partial<ApplicationMetadata>;
}
//# sourceMappingURL=Configuration.d.ts.map