import { IdProvider } from './IdProvider';
/**
 * Sequence identification number generator.
 * The lowest number generated is 1, the highest 2**31.
 */
export declare class SequenceIdProvider implements IdProvider {
    private _currentId;
    /**
     * Create a new SequenceIdProvider with a given startId.
     * If the id is smaller than 0 or larger than 2**31, the next id will be 1.
     *
     * @param startId The startId from what the next id will be calculated.
     */
    constructor(startId?: number);
    /**
     * @inheritDoc
     */
    next(): number;
}
//# sourceMappingURL=SequenceIdProvider.d.ts.map