import { JSONObject } from '../../api';
/**
 * Maxium payload size for sending an event
 */
export declare const EVENT_MAX_PAYLOAD: number;
/**
 * Calculate the size of the string in bytes and returns if it is to
 * big for the event payload
 *
 * @param str string which should be used for event payload
 * @returns true if the payload is too big
 */
export declare const isEventPayloadTooBig: (str: string) => boolean;
/**
 * Goes through the attributes which are sent with the event and returns true
 * if NaN, -Inf or Inf is used.
 *
 * @param attributes Attributes sent via an event
 * @returns True if attributes contain NaN, -Inf or Inf
 */
export declare const isEventContainingNonFiniteNumericValues: (attributes: JSONObject) => boolean;
/**
 * @param obj Argument to be checked
 * @returns   True if passed in obj argument is a plain javascript object
 */
export declare const isPOJO: (obj: unknown) => obj is JSONObject;
//# sourceMappingURL=EventPayloadUtils.d.ts.map