import { PayloadKey } from '../protocol/PayloadKey';
import { QueryKey } from '../protocol/QueryKey';
export declare abstract class QueryBuilder<T extends QueryKey | PayloadKey> {
    private readonly options;
    add(key: T, value: string | number, maxLength?: number): this;
    addWithoutTruncate(key: T, value: string | number): this;
    addIfDefined(key: T, value: string | number | undefined): this;
    addIfDefinedAndNotNull(key: T, value: string | number | undefined | null): this;
    addIfNotNegative(key: T, value: number): this;
    build(): string;
}
//# sourceMappingURL=QueryBuilder.d.ts.map