"use strict";
/*
 * Copyright 2019 Dynatrace LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.PayloadQueue = void 0;
class PayloadQueue {
    constructor() {
        this.queue = [];
    }
    push(payload) {
        this.queue.push(payload);
    }
    peek() {
        return this.queue[0];
    }
    pop() {
        return this.queue.shift();
    }
    isEmpty() {
        return this.queue.length === 0;
    }
    _getCurrentQueue() {
        return this.queue.slice(0);
    }
    clearQueue() {
        this.queue.splice(0, this.queue.length);
    }
}
exports.PayloadQueue = PayloadQueue;
//# sourceMappingURL=PayloadQueue.js.map